Bug 1476738 - SELinux is preventing cockpit-session from using the 'dac_read_search' capabilities.
SELinux is preventing cockpit-session from using the 'dac_read_search' capabi...
Status: MODIFIED
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
26
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
abrt_hash:5e643e060fad9c7fcdd0fc42060...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-31 06:10 EDT by Pablo Estigarribia
Modified: 2017-08-28 13:36 EDT (History)
9 users (show)

See Also:
Fixed In Version: selinux-policy-3.13.1-260.4.fc26
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pablo Estigarribia 2017-07-31 06:10:32 EDT
Description of problem:
SELinux is preventing cockpit-session from using the 'dac_read_search' capabilities.

*****  Plugin dac_override (91.4 confidence) suggests   **********************

If quiere ayudar a comprobar si el dominio necesita este acceso o si tiene un archivo con permisos erróneos en el sistema
Then activa auditoría completa para obtener información de la ruta relacionada con el archivo conflictivo, y generar el error nuevamente.
Do

Active auditoría completa
# auditctl -w /etc/shadow -p w
Intente recrear el AVC. Luego ejecute
# ausearch -m avc -ts recent
Si observa un registro PATH verifique permisos y pertenencia del archivo, y soluciónelo,
de lo contrario, repórtelo en bugzilla.

*****  Plugin catchall (9.59 confidence) suggests   **************************

If cree que cockpit-session debería tener la capacidad dac_read_search de forma predeterminada.
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
allow this access for now by executing:
# ausearch -c 'cockpit-session' --raw | audit2allow -M my-cockpitsession
# semodule -X 300 -i my-cockpitsession.pp

Additional Information:
Source Context                system_u:system_r:cockpit_session_t:s0
Target Context                system_u:system_r:cockpit_session_t:s0
Target Objects                Unknown [ capability ]
Source                        cockpit-session
Source Path                   cockpit-session
Port                          <Desconocido>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-260.3.fc26.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Permissive
Host Name                     (removed)
Platform                      Linux (removed) 4.12.4-300.fc26.x86_64 #1 SMP Thu
                              Jul 27 23:09:13 UTC 2017 x86_64 x86_64
Alert Count                   1
First Seen                    2017-07-30 21:38:40 -03
Last Seen                     2017-07-30 21:38:40 -03
Local ID                      98a8f033-7110-40d3-928c-a6352d3360ab

Raw Audit Messages
type=AVC msg=audit(1501461520.436:5511): avc:  denied  { dac_read_search } for  pid=17375 comm="cockpit-session" capability=2  scontext=system_u:system_r:cockpit_session_t:s0 tcontext=system_u:system_r:cockpit_session_t:s0 tclass=capability permissive=1


Hash: cockpit-session,cockpit_session_t,cockpit_session_t,capability,dac_read_search

Version-Release number of selected component:
selinux-policy-3.13.1-260.3.fc26.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.9.1
hashmarkername: setroubleshoot
kernel:         4.12.4-300.fc26.x86_64
type:           libreport
Comment 1 Peter 2017-08-28 13:18:43 EDT
This is happening on fedora-25 as well with version

selinux-policy-3.13.1-225.19.fc25.noarch

See https://fedorapeople.org/groups/cockpit/logs/pull-7558-20170827-182121-e24e25bb-verify-fedora-25/log.html
Comment 2 Peter 2017-08-28 13:36:56 EDT
Fedora 25 failures tracked upstream here: https://github.com/cockpit-project/cockpit/issues/7575

Note You need to log in before you can comment on or make changes to this bug.